[arch-commits] Commit in haskell-polysemy/repos (2 files)

Felix Yan felixonmars at gemini.archlinux.org
Wed Feb 2 18:50:18 UTC 2022


    Date: Wednesday, February 2, 2022 @ 18:50:18
  Author: felixonmars
Revision: 1123004

archrelease: copy trunk to community-staging-x86_64

Added:
  haskell-polysemy/repos/community-staging-x86_64/
  haskell-polysemy/repos/community-staging-x86_64/PKGBUILD
    (from rev 1123002, haskell-polysemy/trunk/PKGBUILD)

----------+
 PKGBUILD |   48 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

Copied: haskell-polysemy/repos/community-staging-x86_64/PKGBUILD (from rev 1123002, haskell-polysemy/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2022-02-02 18:50:18 UTC (rev 1123004)
@@ -0,0 +1,48 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+_hkgname=polysemy
+pkgname=haskell-polysemy
+pkgver=1.6.0.0
+pkgrel=35
+pkgdesc="Higher-order, low-boilerplate, zero-cost free monads"
+url="https://github.com/isovector/polysemy"
+license=('BSD')
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-quickcheck' 'haskell-async' 'haskell-first-class-families' 'haskell-syb'
+         'haskell-th-abstraction' 'haskell-type-errors' 'haskell-unagi-chan')
+makedepends=('ghc' 'haskell-cabal-doctest' 'haskell-hspec-discover' 'haskell-doctest' 'haskell-hspec'
+             'haskell-inspection-testing')
+source=("https://hackage.haskell.org/packages/archive/$_hkgname/$pkgver/$_hkgname-$pkgver.tar.gz")
+sha512sums=('9b053ea9a06abcadacd42db8dac913e140129d9d37e93f949c4b15493b465eeb8db55a19c5c450055f5b6856cf4683d3165b74350f0e68e0d3a6e3fa1e3d9064')
+
+build() {
+  cd $_hkgname-$pkgver
+
+  runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+    --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
+    --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid --ghc-option=-fllvm \
+    --ghc-option=-optl-Wl\,-z\,relro\,-z\,now \
+    --ghc-option='-pie'
+
+  runhaskell Setup build $MAKEFLAGS
+  runhaskell Setup register --gen-script
+  runhaskell Setup unregister --gen-script
+  sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+  sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+  cd $_hkgname-$pkgver
+  # https://github.com/polysemy-research/polysemy/pull/410#issuecomment-868183832
+  runhaskell Setup test --show-details=direct || echo "Tests failed"
+}
+
+package() {
+  cd $_hkgname-$pkgver
+
+  install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+  install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+  runhaskell Setup copy --destdir="$pkgdir"
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+  rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}



More information about the arch-commits mailing list